/* This utility prints the contents of specified records in one of the
   files used by IOBENCH.

   Usage:	prrecord file reclen rec1 rec2 ...
*/

#include <stdio.h>
#include "ioincl.h"
int user;

#if PRIMOS
int serverpid,smsgid,rmsgid,mypid,lockerpid;
#endif

main(argc,argv)
char **argv;
	{
	int filedes,reclen,i,n;
	struct rec rec;

	if (argc < 4) {
		printf("Usage: prrecord file reclen rec1 rec2 ...\n");
		return;
		}

	if ((filedes = open(argv[1],0)) < 0) {
		printf("could not open %s\n",argv[1]);
		return;
		}

	reclen = atoi(argv[2]);
	printf("RECNO	COUNTER	USER	TIME\n");

	for(i = 3; i < argc; i++) {
		n = atoi(argv[i]);
		getrec(filedes,n,&rec,reclen);
		printf("%d	%d	%d	%d\n",n,rec.counter,
		 rec.user,rec.time);
		}

	}

