/* mipslocks.h
/* Copyright (c) 1990, Prime Computer, Inc., Natick, MA 01760
/*                     All Rights Reserved

   Initial Version: 18 April 1990 by Dan Levin
*/

#include <sys/sysmips.h>
#define atomic_set(i, j) sysmips(MIPS_ATOMIC_SET, i, j)

LOCK(p)
	char *p;
{
	static i = 1;
	while (i == 1)
		i = atomic_set(p, 1);
}

UNLOCK(p)
	char *p;
{
	atomic_set(p, 0);
}

CLOCK(p)
	char *p;
{
	return(!atomic_set(p, 1));
}
