/* This utility prints the contents of IOBENCH log files.

   Usage:	prlog IORUN1 ...
*/

#include <stdio.h>
#include "ioincl.h"

main(argc,argv)
char **argv;
	{
	FILE *fp;
	int i;
	struct logrec log;

	if (argc < 2) {
		printf("Usage: prlog IORUN1 ...\n");
		return;
		}

	for(i = 1; i < argc; i++) {
		if ((fp = fopen(argv[i],"r")) == NULL) {
			printf("could not open %s\n",argv[i]);
			return;
			}

		printf("%s\nfile	record	counter	time\n",argv[i]);
		while(fread(&log,sizeof log,1,fp))
			printf("%d	%d	%d	%d\n",log.l_file,log.l_record,
			 log.l_counter,log.l_time);
		}

	exit(0);
	}

